Package Details: harfbuzz-icu-git 2.1.1+174+g6c22f3fd-1

Git Clone URL: https://aur.archlinux.org/harfbuzz-git.git (read-only)
Package Base: harfbuzz-git
Description: OpenType text shaping engine (ICU integration)
Upstream URL: http://www.freedesktop.org/wiki/Software/HarfBuzz
Keywords: harfbuzz
Licenses: MIT
Conflicts: harfbuzz-icu
Provides: harfbuzz-icu
Submitter: KamranMackey
Maintainer: shoober420
Last Packager: shoober420
Votes: 5
Popularity: 0.526876
First Submitted: 2015-12-14 16:45
Last Updated: 2018-11-13 23:48

Required by (27)

Sources (1)

Latest Comments

1 2 Next › Last »

shoober420 commented on 2018-11-13 23:53

Documentation has also been disabled.

shoober420 commented on 2018-11-13 21:20

Thanks dude, you’re a really nice person

nerflad commented on 2018-11-13 21:19

"Out of Date" =/= "Needs a makeover"

It's your package now. Have fun.

shoober420 commented on 2018-11-13 21:18

That is not what I did. Read my comments, and the comment I made to you in the flag statement. I’ll say it again, the python line under “prepare” is proof of it’s need for a rewrite and that it’s out of date. Not reading comments for your packages is a dick move.

nerflad commented on 2018-11-13 21:11

@shoober420: I'm orphaning this package so you can have it. I don't use it anymore and I don't have time to rewrite the PKGBUILD.

That being said, do not flag packages out of date when they are not in attempts to coerce the maintainer into doing what you want. It's a dick move.

shoober420 commented on 2018-11-13 03:11

Although this compiles, if you compare it to the PKGBUILD in the official repos, its dated. I doubt python2 in the "prepare" section is needed anymore.

I have a PKGBUILD that I use to compile from git master that uses the up to date template, and I'm also in the process of uploading the lib32-harfbuzz-git package.

I can co-maintain this with you if you so desire.

LindyBalboa commented on 2017-10-12 13:40

Source line is broken. URL needs fixed and put in quotes.

-> Cloning harfbuzz git repo...
Cloning into bare repository '/home/conner/.cache/pacaur/harfbuzz-git/harfbuzz'...
fatal: unable to connect to github.com:
github.com[0: 192.30.253.112]: errno=Connection refused
github.com[1: 192.30.253.113]: errno=Connection refused

==> ERROR: Failure while downloading harfbuzz git repo
Aborting...
:: failed to verify harfbuzz-git integrity

nerflad commented on 2017-04-04 21:37

Adopted, updated to 1.4.5.r11.g7d64c0ef. Fixed makedepends. Please report any problems.

nerflad commented on 2017-02-27 10:57

Please update and add 'ragel' to makedepends.

Kunda commented on 2017-01-05 21:11

harfbuzz 1.4 released today